Subject: Re: [httpwg/http-extensions] Quality Values in Representation Variants (#554)

From: HTTP issue updates <[email-masked]>
Date: Mon, 02 Apr 2018 21:51:40 +0000 (UTC)

Can you clarify how you conclude that the server possesses an English variant and ignores the quality values?  The text explicitly says that, because the cache observed the request for `en;q=1.0, fr;q=0.5` got a response in French, it "might be able to infer that an English representation is *not* available." (Emphasis added.)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/554#issuecomment-378057954

---

From: HTTP issue updates <[email-masked]>
Date: Mon, 02 Apr 2018 21:52:55 +0000 (UTC)

Ah, never mind.  In the second example with Variants, the server claims possession of an English variant.  I think this is just a bug in the second example.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/554#issuecomment-378058245

---

From: HTTP issue updates <[email-masked]>
Date: Mon, 02 Apr 2018 15:00:20 -0700

Sorry, I should have explicitly stated the second example. Bug in the example or not, I still believe this specification should make a clear position.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/554#issuecomment-378059938

---

From: HTTP issue updates <[email-masked]>
Date: Mon, 02 Apr 2018 22:57:52 +0000 (UTC)

Hi Thomas,

Step 2 of each of the algorithms for `Accept`, `Accept-Language` and `Accept-Encoding` already accounts for this; for example, in [A.1](http://httpwg.org/http-extensions/draft-ietf-httpbis-variants.html#content-type):

> 2. Let preferred-types be a list of the types in the request-value, ordered by their weight, highest to lowest, as per [RFC7231] Section 5.3.2 (omitting any coding with a weight of 0). If “Accept” is not present or empty, preferred-types will be empty. If a type lacks an explicit weight, an implementation MAY assign one.

I see the bug in the examples; will fix.

Ordering by weight is applying the `q` value. 

It's not appropriate to make a blanket statement, because not all headers that use `Variants` will define its use (e.g., the various [Client Hints](http://httpwg.org/http-extensions/draft-ietf-httpbis-client-hints.html)). It's up to each individual header to decide how its semantics get mapped into `Variants`.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/554#issuecomment-378072402

---

From: HTTP issue updates <[email-masked]>
Date: Mon, 09 Apr 2018 06:28:44 +0000 (UTC)

Closing; if you feel this hasn't been addressed, please comment.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/554#issuecomment-379647582

---

From: HTTP issue updates <[email-masked]>
Date: Mon, 09 Apr 2018 06:28:45 +0000 (UTC)

Closed #554.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/554#event-1563103501